Merge pull request #18392 from keszybz/update-target-rename

Add various missing license headers and rename meson targets for consistency
This commit is contained in:
Zbigniew Jędrzejewski-Szmek
2021-01-28 19:06:14 +01:00
committed by GitHub
103 changed files with 209 additions and 59 deletions

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
all:
ninja -C build

1
configure vendored
View File

@@ -1,4 +1,5 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
set -e
cflags=CFLAGS="$CFLAGS"

View File

@@ -1,5 +1,10 @@
How we use GVariant for serializing D-Bus messages
--------------------------------------------------
---
title: GVariant D-Bus Message Serialization
category: Interfaces
layout: default
---
# GVariant D-Bus Message Serialization
We stay close to the original dbus1 framing as possible, but make
certain changes to adapt for GVariant. dbus1 has the following

View File

@@ -1589,16 +1589,16 @@ conf.set10('ENABLE_EFI', have)
############################################################
update_hwdb_sh = find_program('tools/update-hwdb.sh')
update_hwdb_autosuspend_sh = find_program('tools/update-hwdb-autosuspend.sh')
generate_gperfs = find_program('tools/generate-gperfs.py')
make_autosuspend_rules_py = find_program('tools/make-autosuspend-rules.py')
make_directive_index_py = find_program('tools/make-directive-index.py')
make_man_index_py = find_program('tools/make-man-index.py')
syscall_table_update_sh = find_program('tools/syscall-table-update.sh')
xml_helper_py = find_program('tools/xml_helper.py')
update_dbus_docs_py = find_program('tools/update-dbus-docs.py')
meson_apply_m4 = find_program('tools/meson-apply-m4.sh')
generate_gperfs = find_program('tools/generate-gperfs.py')
update_dbus_docs_py = find_program('tools/update-dbus-docs.py')
update_hwdb_sh = find_program('tools/update-hwdb.sh')
update_hwdb_autosuspend_sh = find_program('tools/update-hwdb-autosuspend.sh')
update_syscall_tables_sh = find_program('tools/update-syscall-tables.sh')
xml_helper_py = find_program('tools/xml_helper.py')
#####################################################################
@@ -3476,7 +3476,7 @@ install_data('LICENSE.GPL2',
'docs/TRANSIENT-SETTINGS.md',
'docs/TRANSLATORS.md',
'docs/UIDS-GIDS.md',
'src/libsystemd/sd-bus/GVARIANT-SERIALIZATION',
'docs/GVARIANT-SERIALIZATION.md',
install_dir : docdir)
meson.add_install_script('sh', '-c', mkdir_p.format(systemdstatedir))

View File

@@ -1,4 +1,5 @@
<?xml version="1.0"?>
<!-- SPDX-License-Identifier: LGPL-2.1-or-later -->
<its:rules xmlns:its="http://www.w3.org/2005/11/its"
version="2.0">
<its:translateRule selector="//*" translate="no"/>

View File

@@ -1,4 +1,5 @@
<?xml version="1.0"?>
<!-- SPDX-License-Identifier: LGPL-2.1-or-later -->
<locatingRules>
<locatingRule name="polkit policy" pattern="*.policy">
<documentRule localName="policyconfig" target="polkit.its"/>

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# Moo, 2018. #zanata
msgid ""
msgstr ""

View File

@@ -1,6 +1,5 @@
# SOME DESCRIPTIVE TITLE.
# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
# This file is distributed under the same license as the systemd package.
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# A S Alam <amanpreet.alam@gmail.com>, 2020, 2021.
msgid ""
msgstr ""

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
print "static const char* const af_names[] = { "
}

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
print "const char *arphrd_to_name(int id) {"
print " switch(id) {"

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
print "static const char* const capability_names[] = { "
}

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
print "static const char* const errno_names[] = { "
}

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
$1 -E -dM -include sys/socket.h -include "$2" -include "$3" - </dev/null | \

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
$1 -dM -include linux/if_arp.h -include "$2" - </dev/null | \

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
$1 -dM -include linux/capability.h -include "$2" -include "$3" - </dev/null | \

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
$1 -dM -include errno.h - </dev/null | \

View File

@@ -1,5 +1,5 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
for i in *.h */*.h; do

View File

@@ -359,13 +359,13 @@ arch_list = [
run_target(
'update-syscall-tables',
command : [syscall_table_update_sh, meson.current_source_dir()] + arch_list)
command : [update_syscall_tables_sh, meson.current_source_dir()] + arch_list)
syscall_names_text = files('syscall-names.text')
syscall_list_txt = files('syscall-list.txt')
syscall_lists = []
foreach arch: arch_list
syscall_lists += files('syscalls-@0@'.format(arch))
syscall_lists += files('syscalls-@0@.txt'.format(arch))
endforeach
missing_syscalls_py = find_program('missing_syscalls.py')

View File

@@ -1,4 +1,5 @@
/* This file is generated. Do not edit! */
/* SPDX-License-Identifier: LGPL-2.1-or-later
* This file is generated. Do not edit! */
#ifndef __IGNORE_bpf
# if defined(__aarch64__)

View File

@@ -1,4 +1,6 @@
#!/usr/bin/env python3
# SPDX-License-Identifier: LGPL-2.1-or-later
import sys
import functools
@@ -99,7 +101,10 @@ def print_syscall_def(syscall, tables, out):
file=out)
def print_syscall_defs(syscalls, tables, out):
print('/* This file is generated. Do not edit! */\n', file=out)
print('''\
/* SPDX-License-Identifier: LGPL-2.1-or-later
* This file is generated. Do not edit! */
''' , file=out)
for syscall in syscalls:
print_syscall_def(syscall, tables, out)

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
if nm -D -u "$1" | grep ' U '; then

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
keywords=0 ; FS="," ;
print "extern const char load_fragment_gperf_nulstr[];" ;

View File

@@ -1,3 +1,4 @@
m4_dnl SPDX-License-Identifier: LGPL-2.1-or-later
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,4 +1,5 @@
<!DOCTYPE html>
<!-- SPDX-License-Identifier: LGPL-2.1-or-later -->
<html>
<head>
<title>Journal</title>

View File

@@ -1,4 +1,6 @@
#!/usr/bin/env python3
# SPDX-License-Identifier: LGPL-2.1-or-later
import sys
import argparse

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,6 +1,22 @@
#!/usr/bin/env bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This file is part of systemd.
#
# systemd is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# systemd is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with systemd; If not, see <http://www.gnu.org/licenses/>.
COMMAND="$1"
KERNEL_VERSION="$2"
@@ -13,7 +29,7 @@ if ! [[ $KERNEL_INSTALL_MACHINE_ID ]]; then
fi
if [[ $COMMAND != add ]]; then
exit 0
exit 0
fi
# If the boot dir exists (e.g. $ESP/<machine-id>),

View File

@@ -1,6 +1,22 @@
#!/usr/bin/env bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This file is part of systemd.
#
# systemd is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# systemd is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with systemd; If not, see <http://www.gnu.org/licenses/>.
COMMAND="$1"
KERNEL_VERSION="$2"

View File

@@ -1,6 +1,22 @@
#!/usr/bin/env bash
# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
# ex: ts=8 sw=4 sts=4 et filetype=sh
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This file is part of systemd.
#
# systemd is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# systemd is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with systemd; If not, see <http://www.gnu.org/licenses/>.
COMMAND="$1"
KERNEL_VERSION="$2"
@@ -73,11 +89,11 @@ else
fi
cp "$KERNEL_IMAGE" "$ENTRY_DIR_ABS/linux" &&
chown root:root "$ENTRY_DIR_ABS/linux" &&
chmod 0644 "$ENTRY_DIR_ABS/linux" || {
echo "Could not copy '$KERNEL_IMAGE to '$ENTRY_DIR_ABS/linux'." >&2
exit 1
}
chown root:root "$ENTRY_DIR_ABS/linux" &&
chmod 0644 "$ENTRY_DIR_ABS/linux" || {
echo "Could not copy '$KERNEL_IMAGE to '$ENTRY_DIR_ABS/linux'." >&2
exit 1
}
INITRD_OPTIONS=( "${@:${INITRD_OPTIONS_START}}" )
@@ -89,9 +105,9 @@ for initrd in "${INITRD_OPTIONS[@]}"; do
cp "${initrd}" "$ENTRY_DIR_ABS/${initrd_basename}" &&
chown root:root "$ENTRY_DIR_ABS/${initrd_basename}" &&
chmod 0644 "$ENTRY_DIR_ABS/${initrd_basename}" || {
echo "Could not copy '${initrd}' to '$ENTRY_DIR_ABS/${initrd_basename}'." >&2
exit 1
}
echo "Could not copy '${initrd}' to '$ENTRY_DIR_ABS/${initrd_basename}'." >&2
exit 1
}
fi
done

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
print "const char *audit_type_to_string(int type) {\n\tswitch(type) {"
}

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
cpp="$1"

View File

@@ -1,4 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1+ */
/* SPDX-License-Identifier: LGPL-2.1-or-later */
#include <netinet/in.h>
#include <linux/if_addrlabel.h>

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,3 +1,6 @@
# This file is part of systemd.
# See systemd-networkd.service(8) and polkit(8) for more information.
[Allow systemd-networkd to set timezone and transient hostname]
Identity=unix-user:systemd-network
Action=org.freedesktop.hostname1.set-hostname;org.freedesktop.hostname1.get-product-uuid;org.freedesktop.timedate1.set-timezone;

View File

@@ -1,3 +1,6 @@
// This file is part of systemd.
// See systemd-networkd.service(8) and polkit(8) for more information.
// Allow systemd-networkd to set timezone, get product UUID,
// and transient hostname
polkit.addRule(function(action, subject) {

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,4 +1,5 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
set -ex
[[ -f /dev/loop-control ]] || exit 77

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
print "const char *dns_type_to_string(int type) {\n\tswitch(type) {"
}

View File

@@ -1,7 +1,7 @@
#!/usr/bin/env python3
# SPDX-License-Identifier: LGPL-2.1-or-later
"""Generate %-from-name.gperf from %-list.txt
"""
"Generate %-from-name.gperf from %-list.txt"
import sys
@@ -13,12 +13,12 @@ print("""\
_Pragma("GCC diagnostic ignored \\"-Wimplicit-fallthrough\\"")
#endif
%}""")
print("""\
struct {}_name {{ const char* name; int id; }};
print(f"""\
struct {name}_name {{ const char* name; int id; }};
%null-strings
%%""".format(name))
%%""")
for line in open(input):
line = line.rstrip()
s = line.replace('_', '-')
print("{}, {}{}".format(s, prefix, line))
print(f'{s}, {prefix}{line}')

View File

@@ -1 +1,2 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
s/.* DNS_TYPE_(\w+).*/\1/p

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#include <stddef.h>
#include "conf-parser.h"

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,4 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1+ */
/* SPDX-License-Identifier: LGPL-2.1-or-later */
/* Temporary work-around for broken glibc vs. linux kernel header definitions
* This is already fixed upstream, remove this when distributions have updated.

View File

@@ -1,4 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1+ */
/* SPDX-License-Identifier: LGPL-2.1-or-later */
#include <arpa/inet.h>
#include <endian.h>

View File

@@ -1,4 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1+ */
/* SPDX-License-Identifier: LGPL-2.1-or-later */
#pragma once
#include <stdbool.h>

View File

@@ -1,4 +1,6 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
$1 -dM -include netinet/in.h - </dev/null | \

View File

@@ -1,4 +1,6 @@
#!/usr/bin/env python3
# SPDX-License-Identifier: LGPL-2.1-or-later
import sys
import os

View File

@@ -1,3 +1,5 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN{
print "static const char* const ip_protocol_names[] = { "
}

View File

@@ -292,7 +292,7 @@ generate_syscall_list = find_program('generate-syscall-list.py')
fname = 'syscall-list.h'
syscall_list_h = custom_target(
fname,
input : syscall_names_text,
input : syscall_list_txt,
output : fname,
command : [generate_syscall_list,
'@INPUT@'],

View File

@@ -1,3 +1,5 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
#include "openssl-util.h"
#include "alloc-util.h"

View File

@@ -1,4 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1+ */
/* SPDX-License-Identifier: LGPL-2.1-or-later */
#include "bus-error.h"
#include "bus-locator.h"

View File

@@ -1,4 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1+ */
/* SPDX-License-Identifier: LGPL-2.1-or-later */
#pragma once
int mount_bind(int argc, char *argv[], void *userdata);

View File

@@ -1,4 +1,6 @@
#!/bin/sh
# SPDX-License-Identifier: CC0-1.0
#
# This script is called by "systemctl enable/disable" when the given unit is a
# SysV init.d script. It needs to call the distribution's mechanism for
# enabling/disabling those, such as chkconfig, update-rc.d, or similar. This

View File

@@ -1,4 +1,6 @@
#!/usr/bin/env python3
# SPDX-License-Identifier: LGPL-2.1-or-later
import sys, re
print('#include <stdio.h>')
@@ -16,15 +18,14 @@ for line in open(sys.argv[1]):
if match:
s = match.group(1)
if s == 'sd_bus_object_vtable_format':
print(' &{},'.format(s))
print(f' &{s},')
else:
print(' {},'.format(s))
print(f' {s},')
print('''};
int main(void) {
unsigned i;
for (i = 0; i < sizeof(symbols)/sizeof(void*); i++)
for (size_t i = 0; i < sizeof(symbols)/sizeof(void*); i++)
printf("%p\\n", symbols[i]);
return 0;
}''')

View File

@@ -1,3 +1,4 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
BEGIN {
print "/* GENERATED FILE */";
print "#define ORDERED"

View File

@@ -1 +1,4 @@
# This file is part of systemd.
# See systemd-timedated.service(8) for more information.
systemd-timesyncd.service

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,4 +0,0 @@
" 'set exrc' in ~/.vimrc will read .vimrc from the current directory
set tabstop=8
set shiftwidth=8
set expandtab

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
awk '

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
$1 -dM -include linux/input.h - </dev/null | awk '

View File

@@ -1,3 +1,4 @@
/* SPDX-License-Identifier: LGPL-2.1-or-later */
%{
#if __GNUC__ >= 7
_Pragma("GCC diagnostic ignored \"-Wimplicit-fallthrough\"")

View File

@@ -1,3 +1,12 @@
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This file is part of systemd.
#
# systemd is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
Name: udev
Description: udev
Version: @PROJECT_VERSION@

View File

@@ -1,4 +1,6 @@
/* Detailed project version that includes git commit when not built from a release.
/* SPDX-License-Identifier: LGPL-2.1-or-later
*
* Detailed project version that includes git commit when not built from a release.
* Use this in preference to PROJECT_VERSION, with the following exceptions:
* - where a simplified form is expected for compatibility, for example
* 'udevadm version',

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
cd "$MESON_SOURCE_ROOT"

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
sd_good=0

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
"$@" '-' -o/dev/null </dev/null

View File

@@ -1,4 +1,5 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
set -e
which perl &>/dev/null || exit 77

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
export SYSTEMD_LOG_LEVEL=info

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -e
# Fedora uses C.utf8 but Debian uses C.UTF-8

View File

@@ -1,4 +1,5 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
# The official unmodified version of the script can be found at
# https://scan.coverity.com/scripts/travisci_build_coverity_scan.sh

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -e
# Try to guess the build directory:

View File

@@ -1,4 +1,5 @@
#!/bin/bash
# SPDX-License-Identifier: LGPL-2.1-or-later
# Download and extract coverity tool

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
git shortlog -s `git describe --abbrev=0 --match 'v[0-9][0-9][0-9]'`.. | \

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
CONFIG=$1

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eux
src="$1"

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
if [ "${MESON_INSTALL_QUIET:-0}" = 1 ] ; then

View File

@@ -1,4 +1,5 @@
#!/usr/bin/env bash
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
set -o pipefail

View File

@@ -1,10 +0,0 @@
#!/bin/sh
set -eu
cd "$1" && shift
curl --fail -L -o syscall-names.text 'https://raw.githubusercontent.com/hrw/syscalls-table/master/syscall-names.text'
for arch in "$@"; do
curl --fail -L -o syscalls-$arch "https://raw.githubusercontent.com/hrw/syscalls-table/master/tables/syscalls-$arch"
done

View File

@@ -1,4 +1,5 @@
#!/bin/sh
# SPDX-License-Identifier: LGPL-2.1-or-later
set -eu
cd "$1"

Some files were not shown because too many files have changed in this diff Show More